<?php
namespace Modules\Admin\Config\Gds\Sabre;

class View_Index extends \App\Mvc\View_Window_FormAbstract
{
	/**
	 * Render the input matrix row
	 * @return string
	 */
	public function renderInputMatrixRowOnAjaxRequest($matrix, $index, $counter)
	{
		// the smarty manipulation is an ugly fix to make sure the module $lang is assigned to $smarty, instead of makinmg the input load its own lang file
		\Theme::getInstance()->stdModuleSmartyAssign($this);
		$this->render_prepare(\Engine\Smarty\SmartyMultiton::getInstance());

		$responseRow = '';
		for ($i = $index; $i < ($index+$counter); $i++) {
			$responseRow.= $matrix->getRow('Engine\Form\Input\Matrix\Row')
				->setIndex($i)
				->setValue([])
				->setStyle('class_body', 'clone')
				->render();
		}

		return $responseRow;
	}
}
